---
title: persistentState
slug: Web/API/MediaKeySystemConfiguration/persistentState
tags:
  - API
  - EncryptedMediaExtensions
  - Media
  - MediaKeySystemConfiguration
  - NeedsExample
  - Property
  - Reference
  - Video
  - persistentState
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySystemConfiguration.persistentState</code> read-only property indicates whether the ability to persist state is required.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>persistentState</var> = <var>mediaSystemConfiguration</var>.persistentSTate;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysystemconfiguration-persistentstate', 'persistentState')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemConfiguration.persistentState")}}</p>
</div>
